Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--org.bouncycastle.asn1.DERInputStream

All Implemented Interfaces:
  DERTags

Direct Known Subclasses:
  BERInputStream

Deprecated. use ASN1InputStream

public class DERInputStream
extends java.io.FilterInputStream
implements DERTags

Don't use this class. It will eventually disappear, use ASN1InputStream.
This class is scheduled for removal.

Fields inherited from class java.io.FilterInputStream
`in`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERInputStream(java.io.InputStream is)` Deprecated. use ASN1InputStream

Method Summary
`protected DERObject` | `buildObject(int tag, byte[] bytes)` Deprecated. build an object given its tag and a byte stream to construct it from.
`protected void` | `readFully(byte[] bytes)` Deprecated.
`protected int` | `readLength()` Deprecated.
`DERObject` | `readObject()` Deprecated.

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERInputStream

    public DERInputStream(java.io.InputStream is)

  Deprecated. use ASN1InputStream

Method Detail

### readLength

    protected int readLength()
                      throws java.io.IOException

  Deprecated.

### readFully

    protected void readFully(byte[] bytes)
                      throws java.io.IOException

  Deprecated.

### buildObject

    protected DERObject buildObject(int tag,
                                    byte[] bytes)
                             throws java.io.IOException

  Deprecated.
  build an object given its tag and a byte stream to construct it from.

### readObject

    public DERObject readObject()
                         throws java.io.IOException

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD